<?php
/**
* Header Options.
*
* @package Modern Art Gallery
*/

$modern_art_gallery_default = modern_art_gallery_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'modern_art_gallery_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'modern-art-gallery' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'modern_art_gallery_theme_option_panel',
	)
);

$wp_customize->add_setting('modern_art_gallery_sticky',
    array(
        'default' => $modern_art_gallery_default['modern_art_gallery_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_checkbox',
    )
);
$wp_customize->add_control('modern_art_gallery_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'modern-art-gallery'),
        'section' => 'modern_art_gallery_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('modern_art_gallery_header_search',
    array(
        'default' => $modern_art_gallery_default['modern_art_gallery_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_checkbox',
    )
);
$wp_customize->add_control('modern_art_gallery_header_search',
    array(
        'label' => esc_html__('Enable Search', 'modern-art-gallery'),
        'section' => 'modern_art_gallery_button_header_setting',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('modern_art_gallery_menu_font_size',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_number_range',
    )
);
$wp_customize->add_control('modern_art_gallery_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'modern-art-gallery'),
        'section'     => 'modern_art_gallery_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'modern_art_gallery_menu_text_transform',
    array(
    'default'           => $modern_art_gallery_default['modern_art_gallery_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'modern_art_gallery_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'modern_art_gallery_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'modern-art-gallery' ),
    'section'     => 'modern_art_gallery_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'modern-art-gallery' ),
        'uppercase'  => esc_html__( 'Uppercase', 'modern-art-gallery' ),
        'lowercase'    => esc_html__( 'Lowercase', 'modern-art-gallery' ),
        ),
    )
);


$wp_customize->add_setting('modern_art_gallery_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'modern_art_gallery_header_menus_color', array(
    'label'    => __('Main Menu Color', 'modern-art-gallery'),
    'section'  => 'modern_art_gallery_button_header_setting',
)));

$wp_customize->add_setting('modern_art_gallery_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'modern_art_gallery_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'modern-art-gallery'),
    'section'  => 'modern_art_gallery_button_header_setting',
)));

$wp_customize->add_setting('modern_art_gallery_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'modern_art_gallery_header_submenus_color', array(
    'label'    => __('Submenu Color', 'modern-art-gallery'),
    'section'  => 'modern_art_gallery_button_header_setting',
)));

$wp_customize->add_setting('modern_art_gallery_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'modern_art_gallery_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'modern-art-gallery'),
    'section'  => 'modern_art_gallery_button_header_setting',
)));


$wp_customize->add_setting( 'modern_art_gallery_header_timing',
    array(
    'default'           => $modern_art_gallery_default['modern_art_gallery_header_timing'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_header_timing',
    array(
    'label'    => esc_html__( 'Header Email Id', 'modern-art-gallery' ),
    'section'  => 'modern_art_gallery_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_header_phone_number',
    array(
    'default'           => $modern_art_gallery_default['modern_art_gallery_header_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_header_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'modern-art-gallery' ),
    'section'  => 'modern_art_gallery_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_header_address',
    array(
    'default'           => $modern_art_gallery_default['modern_art_gallery_header_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_header_address',
    array(
    'label'    => esc_html__( 'Header Address', 'modern-art-gallery' ),
    'section'  => 'modern_art_gallery_button_header_setting',
    'type'     => 'text',
    )
);